<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# vmmap-add

```text
usage: vmmap-add [-h] start size [flags] [offset]

```

Add virtual memory map page.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|start|Starting virtual address|
|size|Size of the address space, in bytes|
|flags|Flags set by the ELF file (r - read, w - write, x - executable) (default: '')|
|offset|Offset into the original ELF file that the data is loaded from (default: 0)|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
